0

I'm using Ubuntu 10 at work, and Firefox. Even though I just did a sudo apt-get update and upgrade, I still have firefox 3.6.16.

How come ? Are there steps to do in order to install the lastest version ?

3

That's because Firefox 4 is not included in Ubuntu's packages - there's a special Mozilla "PPA" package source you'll have to add to your package sources. Here's a guide on how to do that: http://www.howtoforge.com/installing-firefox-4.0-deb-package-on-ubuntu-10.10

The reason you can't just go ahead and upgrade to Firefox 4 is Ubuntu's release policy - Ubuntu 10.10 includes Firefox 3.6. and only provides updates for that version.

| improve this answer | |
  • This almost worked, but I can't seem to find the right PPA keys. Curses. – chrish Apr 14 '11 at 15:37
  • Did it update the package sources? Try running the console commands bitslave posted. – Tobias Plutat Apr 14 '11 at 16:38
3

In a terminal type:

sudo add-apt-repository ppa:mozillateam/firefox-stable

sudo apt-get update

sudo apt-get upgrade

(Or just grab the installer from the Mozilla website and you can run them side by side).

| improve this answer | |
  • That's the short version, of course. :) – Tobias Plutat Apr 14 '11 at 12:19
1

There are two versions of Ubuntu 10, perhaps you are using the older one (10.4) and need to upgrade to the new one (10.10)? Some new software doesn't get ported to older release trees.

| improve this answer | |
  • No, I'm on 10.10 – Manu Apr 14 '11 at 12:13
1

I know when Firefox 3 came out I couldn't install (at least easily) firefox 3 till it was "approved" by Canonical. I bet the same thing is happening...

to my understanding you are truly not using the actual Firefox but a special Ubuntu build of firefox...

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.